LINUX.ORG.RU
решено ФорумGames

CS 1.6

 ,


0

1

С Wine'ом раньше сталкивать не приходилось, но захотелось поиграть в CS под линуксом, которая у меня давно лежит на ntfs-разделе. Wine установил из стандаратного репозитория, удивился что там по зависимостям тянется целая куча 32-битных пакетов, после запуска Configure Wine он предложил скачать и установить libmono, на что я согласился, в самом конфигураторе ничего не настраивал. Дополнительные библиотеки и directx не устанавливал. При попытке запустить в файловом менеджере hl.exe мне выдает ошибку: http://paste.org.ru/?rit7nr

Что делать не знаю..


Ответ на: комментарий от farzeet

Это тоже самое, только нативный православней

Ты цимес не понял — прославленный, нативный еще купить надо, а он жлоб хочет пиратку имеющеюся поюзать.

makeB ()
Ответ на: комментарий от farzeet

Мне 70 рублей жалко отдавать за то что у меня уже есть в несколько ином виде, я на них лучше пачку пельменей куплю и поиграю в контру non steam.

Dnmt ()
Ответ на: комментарий от Dnmt

я хочу понять почему вайн выдает такую ошибку.

Это очевидно, если CS появилась под Linux.
теперь, ошибки wine + cs = проблемы строго юзера.

Хочешь поиграть в пиратку - скачай из сети эмулятор STEAM и скачай игру через этот самый STEAM.

Только нормально поиграть на нормальном сервере (обновленном), ты вряд ли сможешь.

А так на севрерах 12-ти летних админов, вполне есть шанс порашить.

lexxus-lex ★★★ ()
Ответ на: комментарий от Dnmt

я на них лучше пачку пельменей куплю и поиграю в контру non steam.

Пельмени-то хоть нативные? А то неделю не до игр будет.

imul ★★★★★ ()
Ответ на: комментарий от lexxus-lex

Хочешь поиграть в пиратку - скачай из сети эмулятор STEAM и скачай игру через этот самый STEAM.

По моему тут есть взаимоисключающие параграфы...

Ну ладно, зарегистрировался я в steam, добавил репозиторий с клиентом под opensuse 12.2 и установил его. Только теперь не понятно как запустить его, в меню запуска приложений ссылка на него не появилась, из консоли тоже безрезультатно.. как запустить-то?

Dnmt ()
Ответ на: комментарий от Dnmt

Вот лог установки:

2013-02-20 18:32:39|radd   |games|http://download.opensuse.org/repositories/games/openSUSE_12.2/
2013-02-20 18:34:05|install|libpng12-0|1.2.49-2.1.2|x86_64||repo-oss|61af59b8d14ed974a0088bae885724964efa6258e38003e984f157fdcaf16dc5
2013-02-20 18:34:14|install|zenity|3.4.0-2.1.2|x86_64||repo-oss|e498cbeb78aa7101d7da3f92fe0630e8abb243bdc129af7161dcf6ccdd354a29
2013-02-20 18:34:14|install|steam|1.0.0.28-3.1|noarch|4674:y2base|games|70e4934f7bad5651ddb56366320562306570301a168c25fcf565699e19c5add7
# 2013-02-20 18:34:14 /var/adm/update-scripts/steam-1.0.0.28-3.1-fetch-steam.sh.txtвыполнено
# 
# note: No proxy is used. Please set the environment variable "http_proxy"
# note: to your favorite proxy, if you want to use a proxy for the download.
# note:
# note:   bash: export http_proxy="http://proxy.example.com:3128/"
# note:   tcsh: setenv http_proxy "http://proxy.example.com:3128/"
# EULA:
#   Fetching   ... done
# steam_1.0.0.28.tar.gz (http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.28.tar.gz):
#   Fetching   ... done
# /var/adm/update-scripts/steam-1.0.0.28-3.1-fetch-steam.sh.txt: line 82: make: command not found
# rm: cannot remove '/usr/bin/steamdeps': No such file or directory
# *** Steam bootstrap files installed. Run the executable to complete the installation.***
# 2013-02-20 18:34:44 Новое сообщение об обновлении /var/adm/update-messages/steam-1.0.0.28-3.1-1
# 2013-02-20 18:34:44 Ошибка при отправке сообщения об обновлении.

Dnmt ()
Ответ на: комментарий от lexxus-lex

Это очевидно, если CS появилась под Linux.

теперь, ошибки wine + cs = проблемы строго юзера.

Браво! Пойду запишу в блокнот сразу после «ваш драйвер не работает потому что он не нужен»

farzeet ★★ ()
Ответ на: комментарий от Tweaker

Так ты не заходи на сервера отцов же ну. Куча есть для нубасов. В квейклив всё намного хуже, поэтому жить можно. Ну или пригласи друзей как ты сам того же уровня и умирайте вместе.

wbrer ★★★ ()
Ответ на: комментарий от Tweaker

Для православного ботов нет, а человеки мне не дают и пару шагов сделать.

Лол. Как же хорошо, что этот говноконтерстрайк нативным стал, благодаря чему таких читерастов-школьнегов в урбантерроре меньше стало.

makeB ()
Ответ на: комментарий от Dnmt

Не правильно, я хочу понять почему вайн выдает такую ошибку

А не пробовал так поставить WINEARCH=win32 WINEPREFIX=~./wine32 winecfg?

makeB ()
Ответ на: комментарий от wbrer

Скочай нормальный дистрибутив.

Я это давно уже сделал. openSUSE мне нравится и всем устраивает.

Dnmt ()
Ответ на: комментарий от Tweaker

Для православного ботов нет, а человеки мне не дают и пару шагов сделать.

Ну тогда мне ваша нативная контра не нужна. Контра мне нужна для того чтобы убить полчаса времени в день за чашечкой чая расстреливая ботов.

Dnmt ()
Ответ на: комментарий от makeB

А не пробовал так поставить WINEARCH=win32 WINEPREFIX=~./wine32 winecfg?

Попробовал

~> WINEARCH=win32 WINEPREFIX=~/.wine winecfg
wine: WINEARCH set to win32 but '/home/valrav/.wine' is a 64-bit installation.
но все равно вылезает такая ошибка: http://storage8.static.itmages.ru/i/13/0220/h_1361382390_7071595_b5e77a2ae2.png

Dnmt ()
Ответ на: комментарий от RussianNeuroMancer

Сконфигурировал по новой WINEPREFIX, с помощью скрипта winetricks установил шрифты и directx9. Установленная CS на ntfs-разделе упорно выдает ошибку. Попробовал установить CS по новой средствами wine. Все установилось, создался ярлык запуска, двойной клик по которому не дает ни каких результатов. Запуск непосредственно hl.exe выдает The game has detected that the previous attempt to start in openGL video mode falied., повторный его запуск выдает Failed to initialize authentication interface. Exiting..

В консоли выдает это:

~> steam
If 'steam' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf steam
~> cd /home/valrav/.wine/drive_c/Games/"Counter-Strike 1.6"
~/.wine/drive_c/Games/Counter-Strike 1.6> hl.exe
If 'hl.exe' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf hl.exe

Dnmt ()
Ответ на: комментарий от RussianNeuroMancer

Ну так я нативный и запускал, он установлен, выше лог установки выложен. В консоли выдает это:

~> steam
If 'steam' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf steam

Dnmt ()
Ответ на: комментарий от Dnmt

у тебя не только контра пиратская, но и зюзя:

-rwxr-xr-x 1 root root 2530 февр. 20 03:15 /var/adm/update-scripts/steam-1.0.0.28-3.1-fetch-steam.sh.txt
какая разница, что за расширение. покажи
rpm -ql steam

registrant ★★★★★ ()
Ответ на: комментарий от wbrer

wbrer> Вот тут ошибка. Скочай нормальный дистрибутив.

Ну нельзя же так толсто...

wbrer> А вообще тебя тут затроллели...

Пока не вижу, чтобы его затроллили.

Quasar ★★★★★ ()
Ответ на: комментарий от Quasar

У меня OpenSUSE 12.2 steam нативный работает без проблем. Контра бегает как 1.6 так и Source. Так что не в дистрибе дело, а в руках...

Daeloce ()
Ответ на: комментарий от registrant
~> rpm -ql steam
/usr/bin/*
/usr/lib/steam
/usr/lib/steam/*
/usr/share/applications/steam.desktop
/usr/share/doc/steam
/usr/share/doc/steam/*
/usr/share/icons/hicolor/16x16/apps/steam.png
/usr/share/icons/hicolor/24x24/apps/steam.png
/usr/share/icons/hicolor/256x256/apps/steam.png
/usr/share/icons/hicolor/32x32/apps/steam.png
/usr/share/icons/hicolor/48x48/apps/steam.png
/usr/share/man/man6/steam.*.gz
/usr/share/pixmaps/steam.png
/usr/share/pixmaps/steam_tray.png
/var/adm/update-messages/steam-1.0.0.28-3.1-1
/var/adm/update-scripts/steam-1.0.0.28-3.1-fetch-steam.sh.txt
Dnmt ()
Ответ на: комментарий от Daeloce

Я думаю, комментарии типа УМВР здесь не уместны. Установил steam из репозитория games (выше лог), доустановил нужные библиотеки как написано здесь, но стима как не было видно так и нет. В чем здесь связь между кривизной моих рук и нежеланием steam запускаться?

Dnmt ()
Ответ на: комментарий от registrant

Да то же самое и говорит:

~> steam
If 'steam' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf steam
А что за скрипт-то?

Dnmt ()
Ответ на: комментарий от registrant

Репа вот эта:

2013-02-20 18:32:39|radd   |games|http://download.opensuse.org/repositories/games/openSUSE_12.2/
Там есть и вторая с такой же версией, но судя по размеру содержимого там одно и то же.

Dnmt ()
Ответ на: комментарий от registrant
# zypper in --force steam
Загрузка данных о репозиториях...
Чтение установленных пакетов...
Принудительная установка 'steam-1.0.0.28-3.1.noarch' из репозитория 'games'.
Разрешение зависимостей пакетов...

Будет переустановлен следующий пакет:
  steam 

1 пакет для переустановки.
Полный размер загрузки: 7,3 KiB. Эта операция никак не отразится на используемом дисковом 
пространстве.
Продолжить? [y/n/?] (y): y
Получение пакет steam-1.0.0.28-3.1.noarch            (1/1),   7,3 KiB (  2,5 KiB после распаковки)
Получение: steam-1.0.0.28-3.1.noarch.rpm .................................................[готово]
Установка: steam-1.0.0.28-3.1 ............................................................[готово]
Выполнение: steam-1.0.0.28-3.1-fetch-steam.sh.txt  (steam, /var/adm/update-scripts)

note: No proxy is used. Please set the environment variable "http_proxy"
note: to your favorite proxy, if you want to use a proxy for the download.
note:
note:   bash: export http_proxy="http://proxy.example.com:3128/"
note:   tcsh: setenv http_proxy "http://proxy.example.com:3128/"
EULA:
  Fetching   ... done
steam_1.0.0.28.tar.gz (http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.28.tar.gz):
  Fetching   ... done
/var/adm/update-scripts/steam-1.0.0.28-3.1-fetch-steam.sh.txt: line 82: make: command not found
rm: cannot remove '/usr/bin/steamdeps': No such file or directory
*** Steam bootstrap files installed. Run the executable to complete the installation.***
Выполнение: steam-1.0.0.28-3.1-fetch-steam.sh.txt  (steam, /var/adm/update-scripts) ......[готово]
От следующих пакетов были получены уведомления об обновлении:
steam-1.0.0.28-3.1.noarch (/var/adm/update-messages/steam-1.0.0.28-3.1-1)
Просмотреть уведомления сейчас? [y/n] (n): y
~> steam
If 'steam' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf steam
Dnmt ()
Ответ на: комментарий от Dnmt

а make кто будет ставить? Пушкин?

Загрузка данных о репозиториях...
Чтение установленных пакетов...
Принудительная установка 'steam-1.0.0.28-3.1.noarch' из репозитория 'games'.
Разрешение зависимостей пакетов...

Будет переустановлен следующий пакет:
  steam 

1 пакет для переустановки.
Полный размер загрузки: 7,3 KiB. Эта операция никак не отразится на используемом дисковом пространстве.
Продолжить? [y/n/?] (y): y
Получение пакет steam-1.0.0.28-3.1.noarch                                                                                                     (1/1),   7,3 KiB (  2,5 KiB после распаковки)
Получение: steam-1.0.0.28-3.1.noarch.rpm ..........................................................................................................................................[готово]
Установка: steam-1.0.0.28-3.1 .....................................................................................................................................................[готово]
Выполнение: steam-1.0.0.28-3.1-fetch-steam.sh.txt  (steam, /var/adm/update-scripts)

note: No proxy is used. Please set the environment variable "http_proxy"
note: to your favorite proxy, if you want to use a proxy for the download.
note:
note:   bash: export http_proxy="http://proxy.example.com:3128/"
note:   tcsh: setenv http_proxy "http://proxy.example.com:3128/"
EULA:
  Fetching   ... done
steam_1.0.0.28.tar.gz (http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.28.tar.gz):
  Fetching   ... done
install -d -m 755 /usr/bin/
install -p -m 755 steam /usr/bin/
install -p -m 755 steamdeps /usr/bin/
install -d -m 755 /usr/share/doc/steam/
install -p -m 644 README steam_install_agreement.txt /usr/share/doc/steam/
install -d -m 755 /usr/share/man/man6/
install -m 644 steam.6 /usr/share/man/man6/
install -d -m 755 /usr/share/icons/hicolor/16x16/apps/
install -p -m 644 icons/16/steam.png /usr/share/icons/hicolor/16x16/apps/
install -d -m 755 /usr/share/icons/hicolor/24x24/apps/
install -p -m 644 icons/24/steam.png /usr/share/icons/hicolor/24x24/apps/
install -d -m 755 /usr/share/icons/hicolor/256x256/apps/
install -p -m 644 icons/256/steam.png /usr/share/icons/hicolor/256x256/apps/
install -d -m 755 /usr/share/icons/hicolor/32x32/apps/
install -p -m 644 icons/32/steam.png /usr/share/icons/hicolor/32x32/apps/
install -d -m 755 /usr/share/icons/hicolor/48x48/apps/
install -p -m 644 icons/48/steam.png /usr/share/icons/hicolor/48x48/apps/
install -d -m 755 /usr/share/pixmaps/
install -p -m 644 icons/48/steam.png /usr/share/pixmaps/
install -p -m 644 icons/48/steam.png /usr/share/pixmaps/steam_tray.png
install -d -m 755 /usr/lib/steam/
install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz /usr/lib/steam/
install -d -m 755 /usr/share/applications/
install -p -m 644 steam.desktop /usr/share/applications/
*** Steam bootstrap files installed. Run the executable to complete the installation.***

registrant ★★★★★ ()
Ответ на: комментарий от registrant

Ну почему вы огрызаетесь? Откуда же мне знать что там еще нужно make перед этим ставить? Я же ни разу не программист)

# zypper in --force steam
Загрузка данных о репозиториях...
Чтение установленных пакетов...
Принудительная установка 'steam-1.0.0.28-3.1.noarch' из репозитория 'games'.
Разрешение зависимостей пакетов...

Будет переустановлен следующий пакет:
  steam 

1 пакет для переустановки.
Полный размер загрузки: 7,3 KiB. Эта операция никак не отразится на используемом дисковом 
пространстве.
Продолжить? [y/n/?] (y): y
Получение пакет steam-1.0.0.28-3.1.noarch            (1/1),   7,3 KiB (  2,5 KiB после распаковки)
Получение: steam-1.0.0.28-3.1.noarch.rpm .................................................[готово]
Установка: steam-1.0.0.28-3.1 ............................................................[готово]
Выполнение: steam-1.0.0.28-3.1-fetch-steam.sh.txt  (steam, /var/adm/update-scripts)

note: No proxy is used. Please set the environment variable "http_proxy"
note: to your favorite proxy, if you want to use a proxy for the download.
note:
note:   bash: export http_proxy="http://proxy.example.com:3128/"
note:   tcsh: setenv http_proxy "http://proxy.example.com:3128/"
EULA:
  Fetching   ... done
steam_1.0.0.28.tar.gz (http://repo.steampowered.com/steam/pool/steam/s/steam/steam_1.0.0.28.tar.gz):
  Fetching   ... done
install -d -m 755 /usr/bin/
install -p -m 755 steam /usr/bin/
install -p -m 755 steamdeps /usr/bin/
install -d -m 755 /usr/share/doc/steam/
install -p -m 644 README steam_install_agreement.txt /usr/share/doc/steam/
install -d -m 755 /usr/share/man/man6/
install -m 644 steam.6 /usr/share/man/man6/
install -d -m 755 /usr/share/icons/hicolor/16x16/apps/
install -p -m 644 icons/16/steam.png /usr/share/icons/hicolor/16x16/apps/
install -d -m 755 /usr/share/icons/hicolor/24x24/apps/
install -p -m 644 icons/24/steam.png /usr/share/icons/hicolor/24x24/apps/
install -d -m 755 /usr/share/icons/hicolor/256x256/apps/
install -p -m 644 icons/256/steam.png /usr/share/icons/hicolor/256x256/apps/
install -d -m 755 /usr/share/icons/hicolor/32x32/apps/
install -p -m 644 icons/32/steam.png /usr/share/icons/hicolor/32x32/apps/
install -d -m 755 /usr/share/icons/hicolor/48x48/apps/
install -p -m 644 icons/48/steam.png /usr/share/icons/hicolor/48x48/apps/
install -d -m 755 /usr/share/pixmaps/
install -p -m 644 icons/48/steam.png /usr/share/pixmaps/
install -p -m 644 icons/48/steam.png /usr/share/pixmaps/steam_tray.png
install -d -m 755 /usr/lib/steam/
install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz /usr/lib/steam/
install -d -m 755 /usr/share/applications/
install -p -m 644 steam.desktop /usr/share/applications/
*** Steam bootstrap files installed. Run the executable to complete the installation.***
Выполнение: steam-1.0.0.28-3.1-fetch-steam.sh.txt  (steam, /var/adm/update-scripts) ......[готово]
От следующих пакетов были получены уведомления об обновлении:
steam-1.0.0.28-3.1.noarch (/var/adm/update-messages/steam-1.0.0.28-3.1-1)
Просмотреть уведомления сейчас? [y/n] (n): y
Так что это за скрипт? Его можно удалять?

Dnmt ()
Ответ на: комментарий от Dnmt

Откуда же мне знать что там еще нужно make перед этим ставить? Я же ни разу не программист)

это не оправдание

Так что это за скрипт? Его можно удалять?

не удаляй. просто стим запусти, он докачает

registrant ★★★★★ ()
Последнее исправление: registrant (всего исправлений: 1)
Ответ на: комментарий от registrant

Вроде кое как обновился, хотя и с зависанием, запустился. Теперь скрипт можно удалить или он каждый раз для обновления нужен?

Dnmt ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.